'use strict';

var _           = require('underscore');

var Account = function(client) {
  var base_uri = '/v2/account';

  var paths = {
    'achievements': base_uri + '/achievements',
    'bank': base_uri + '/bank',
    'dyes': base_uri + '/dyes',
    'inventory': base_uri + '/inventory',
    'materials': base_uri + '/materials',
    'minis': base_uri + '/minis',
    'skins': base_uri + '/skins',
    'wallet': base_uri + '/wallet'
  };

  this.info = client.build.static_endpoint(base_uri);

  this.achievements = client.build.static_endpoint(paths.achievements);

  this.bank = client.build.static_endpoint(paths.bank);

  this.dyes = client.build.static_endpoint(paths.dyes);

  this.inventory = client.build.static_endpoint(paths.inventory);

  this.materials = client.build.static_endpoint(paths.materials);

  this.minis = client.build.static_endpoint(paths.minis);

  this.skins = client.build.static_endpoint(paths.inventory);

  this.wallet = client.build.static_endpoint(paths.wallet);

};

module.exports = Account;

