'use strict';

var _           = require('underscore');

var Pvp = function(client) {
  var base_uri = '/v2/pvp';

  var paths = {
    'amulets': base_uri + '/amulets',
    'games': base_uri + '/games',
    'seasons': base_uri + '/seasons',
    'standings': base_uri + '/standings',
    'stats': base_uri + '/stats'
  };

  this.amulets = client.build.optional_ids_endpoint(paths.amulets);

  this.games = client.build.optional_ids_endpoint(paths.games);

  this.seasons = client.build.optional_ids_endpoint(paths.seasons);

  this.standings = client.build.static_endpoint(paths.standings);

  this.stats = client.build.static_endpoint(paths.stats);

};

module.exports = Pvp;

