'use strict';

var _           = require('underscore');

var Map = function(client) {
  var base_uri = '/v2';

  var paths = {
    'continents': base_uri + '/continents',
    'maps': base_uri + '/maps'
  };

  this.maps = client.build.optional_ids_endpoint(paths.maps);

  this.continents = client.build.optional_ids_endpoint(paths.continents);

};

module.exports = Map;

