'use strict';

var _           = require('underscore');

var Other = function(client) {
  var base_uri = '/v2';

  var paths = {
    'build': base_uri + '/build',
    'files': base_uri + '/files',
    'quaggans': base_uri + '/quaggans',
    'worlds': base_uri + '/worlds'
  };

  this.build = client.build.static_endpoint(paths.build);

  this.files = client.build.optional_ids_endpoint(paths.files);

  this.quaggans = client.build.optional_ids_endpoint(paths.quaggans);

  this.worlds = client.build.optional_ids_endpoint(paths.worlds);

};

module.exports = Other;

