'use strict';

var _           = require('underscore');

var WvW = function(client) {
  var base_uri = '/v2/wvw';

  var paths = {
    'matches': base_uri + '/matches',
    'objectives': base_uri + '/objectives'
  };

  this.matches = client.build.optional_ids_endpoint(paths.matches);

  this.objectives = client.build.optional_ids_endpoint(paths.objectives);

};

module.exports = WvW;

